Bug 1403729 - [z-stream clone - 4.0.7] screen package is not available in RHV 4.0 - despite warnings to run HE deploy within screen session
Summary: [z-stream clone - 4.0.7] screen package is not available in RHV 4.0 - despite...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: redhat-release-rhev-hypervisor
Version: 4.0.0
Hardware: All
OS: Linux
high
low
Target Milestone: ovirt-4.0.7
: ---
Assignee: Ryan Barry
QA Contact: Yihui Zhao
URL:
Whiteboard:
Depends On: 1379763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 09:44 UTC by rhev-integ
Modified: 2019-12-16 07:31 UTC (History)
21 users (show)

Fixed In Version: redhat-release-virtualization-host-4.0-6.2.el7
Doc Type: Enhancement
Doc Text:
With this update, Red Hat Virtualization Host (RHVH) now includes the 'screen' package. Previously, ovirt-hosted-engine-setup invoked from a CLI warned users that the 'screen' package was not installed. Though this was not an explicit requirement when using cockpit, including it provides a better experience if using the CLI.
Clone Of: 1379763
Environment:
Last Closed: 2017-03-16 15:39:15 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0549 normal SHIPPED_LIVE Moderate: redhat-virtualization-host security and bug fix update 2017-03-16 19:26:25 UTC
oVirt gerrit 67438 None MERGED node: Include screen by default 2020-05-28 08:29:23 UTC

Description rhev-integ 2016-12-12 09:44:30 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1379763 +++
======================================================================

Description of problem:

When using 'hosted-engine --deploy' from the command line (as opposed to cockpit), the RHV 4.0 hypervisor will provide the following warning:

It has been detected that this program is executed through an SSH connection without using screen.
          Continuing with the installation may lead to broken installation if the network connection fails.
          It is highly recommended to abort the installation and run it inside a screen session using command "screen".
          Do you want to continue anyway? (Yes, No)[No]:

However the screen package is not available on the RHV 4.0 hypervisor, even after registering and applying appropriate subscriptions

Version-Release number of selected component (if applicable):

4.0

How reproducible:

Steps to Reproduce:
1. Install RHV 4.0
2. Start 'hosted-engine --deploy', observe warning
3. try to install screen, this always fails

Actual results:

Screen is not available, nor is it packaged in the RHV hypervisor image

Expected results:

Screen should be available in case customers are using command line for HE deployment

Additional info:

(Originally by Roger Heslop)

Comment 1 rhev-integ 2016-12-12 09:44:40 UTC
This seems to be a missing dependency, moving it to the right component.

(Originally by Fabian Deutsch)

Comment 3 rhev-integ 2016-12-12 09:44:47 UTC
How is this 'screen' requirement is met when running the installation via the Cockpit wizard, btw? If there is a disconnection, will re-connection bring you back to where you were?

(Originally by Yaniv Kaul)

Comment 4 rhev-integ 2016-12-12 09:44:53 UTC
(In reply to Fabian Deutsch from comment #1)
> This seems to be a missing dependency, moving it to the right component.

screen is an optional (recomended) dependency, so if you want it in RHVH it has to be added to the equivalent of ovirt-release Node RPM.

(In reply to Yaniv Kaul from comment #2)
> How is this 'screen' requirement is met when running the installation via
> the Cockpit wizard, btw? If there is a disconnection, will re-connection
> bring you back to where you were?

I don't know how cockpit works regarding to this, moving the needinfo to Ryan who developed it.

(Originally by Sandro Bonazzola)

Comment 5 rhev-integ 2016-12-12 09:44:59 UTC
(In reply to Yaniv Kaul from comment #2)
> How is this 'screen' requirement is met when running the installation via
> the Cockpit wizard, btw? If there is a disconnection, will re-connection
> bring you back to where you were?

actually, cockpit is talking to hosted-engine deploy on the local host so no ssh connection is established there and no screen execution is suggested on hosted-engine deploy side.

(Originally by Sandro Bonazzola)

Comment 6 rhev-integ 2016-12-12 09:45:05 UTC
(In reply to Sandro Bonazzola from comment #4)
> actually, cockpit is talking to hosted-engine deploy on the local host so no
> ssh connection is established there and no screen execution is suggested on
> hosted-engine deploy side.

Correct -- we initially had some discussions about using screen in cockpit in order to reconnect to a running session, but this is tricky, since reconnecting a screen session from a cockpit channel does not flush the otopi output back to stdout, so there would be no good way to update the UI.

For deploying hosted engine from the CLI in RHV-H, though, we can definitely include screen.(In reply to Yaniv Kaul from comment #2)

> How is this 'screen' requirement is met when running the installation via
> the Cockpit wizard, btw? If there is a disconnection, will re-connection
> bring you back to where you were?

No, it will not... We start a new instance of the installer on a page reload (and kill the old one when the page dies or is refreshed).

It's possible to add this as a future feature (4.2?), but it would mean scanning for a screen session, forcing a reconnect, iterating through the hosted engine logs to find the most recent one (and hoping that is correct), then grabbing the last messages from otopi's machine dialog to populate the UI.

(Originally by Ryan Barry)

Comment 8 rhev-integ 2016-12-12 09:45:16 UTC
screen is not required by Node, because node is using the wizard.
If screen is also not required by hosted-engine-setup, then there is no need to pull it in.

Considering comment 2 - I remember that we actually had the case to keep the process (back the accidentally) running.
But then we decided to kill the process when the page is left.

To me this looks like a reasonable default.

HE setup is a single flow which needs to be completed, switching pages in between does not sound as if it is needed.

Closing this according to the first paragraph of this comment.

(Originally by Fabian Deutsch)

Comment 10 rhev-integ 2016-12-12 09:45:28 UTC
(In reply to Fabian Deutsch from comment #7)
> screen is not required by Node, because node is using the wizard.
> If screen is also not required by hosted-engine-setup, then there is no need
> to pull it in.
> 
> Considering comment 2 - I remember that we actually had the case to keep the
> process (back the accidentally) running.
> But then we decided to kill the process when the page is left.
> 
> To me this looks like a reasonable default.
> 
> HE setup is a single flow which needs to be completed, switching pages in
> between does not sound as if it is needed.
> 
> Closing this according to the first paragraph of this comment.

We support CLI in RHV-H 4. Screen a very useful app for using server CLI. It should not add much size to image. I would request you reconsider.

(Originally by Yaniv Dary)

Comment 11 rhev-integ 2016-12-12 09:45:35 UTC
(In reply to Roger Heslop from comment #8)
> If screen is not needed, the warning in the setup process should be removed.
> The problem is not that screen is absent, more that there is a warning that
> is should be present, but cannot be easily installed without manually
> downloading the package.  (Even after attaching 'Employee SKU')
> 
> This will cause lost time and confusion for some of our customers.

As far as I know, the prompt for "screen" occurs only if users run "hosted-engine --deploy" over SSH.

Since cockpit invokes it directly from the system, the prompt is not present there. Nor would it be present if users were logged directly into the system. But for the case where users SSH into a RHV-H host (instead of cockpit), the prompt for "screen" will be shown.

The question is whether we support this flow, but it's not hard to add screen if customers prefer to deploy via this method.

(Originally by Ryan Barry)

Comment 12 rhev-integ 2016-12-12 09:45:42 UTC
(In reply to Ryan Barry from comment #10)
> The question is whether we support this flow, but it's not hard to add
> screen if customers prefer to deploy via this method.

We so support it, why shouldn't we?
CLI is prefer by Linux admins usually.

(Originally by Yaniv Dary)

Comment 13 rhev-integ 2016-12-12 09:45:48 UTC
Well, the question here is basically whether we support non-Cockpit flows on RHV-H 4.0.

In vintage node, using the shell was unsupported (and clearly warned about). There's no such warning in 4.0, and 4.0 should basically behave like a RHEL-H host, but I wasn't sure what the official stance on support was.

If we support the CLI in 4.0, it's no problem to add it to the image.

CLI is often preferred to GUI tools by Linux admins, yes, where CLI tools exist which are more scriptable or can accomplish more (by chaining flags) than clicking through a GUI can. hosted-engine-setup doesn't really match either of those cases, though.

(Originally by Ryan Barry)

Comment 14 rhev-integ 2016-12-12 09:45:55 UTC
*** Bug 1383567 has been marked as a duplicate of this bug. ***

(Originally by Fabian Deutsch)

Comment 15 rhev-integ 2016-12-12 09:46:02 UTC
As we see issues in the wild, and to keep compatability with RHEV-H 3.y we should ship screen.

(Originally by Fabian Deutsch)

Comment 20 rhev-integ 2016-12-12 09:46:31 UTC
In 4.2 the HE flow will only be supported via Cockpit

(Originally by Fabian Deutsch)

Comment 21 rhev-integ 2016-12-12 09:46:37 UTC
(In reply to Fabian Deutsch from comment #19)
> In 4.2 the HE flow will only be supported via Cockpit

This is not true. We will never support GUI only flow.
CLI is the preference of many admins and automated install requires CLI for bootstrap.
If this was the logic in moving this out, I suggest to fix it for the current release as it makes the setup much harder.

(Originally by Yaniv Dary)

Comment 22 rhev-integ 2016-12-12 09:46:44 UTC
I just had the wrong informations then.

(Originally by Fabian Deutsch)

Comment 23 Yihui Zhao 2017-02-26 15:54:00 UTC
The screen package is available on the RHVH 4.0 (rhvh-4.0-0.20170222.0+1)

Version-Release number of selected component (if applicable):
imgbased-0.8.13-0.1.el7ev.noarch
cockpit-ws-131-3.el7.x86_64
cockpit-system-131-3.el7.noarch
cockpit-storaged-131-3.el7.noarch
cockpit-ovirt-dashboard-0.10.6-1.4.2.el7ev.noarch
cockpit-bridge-131-3.el7.x86_64
ovirt-hosted-engine-setup-2.0.4.3-2.el7ev.noarch
ovirt-host-deploy-1.5.4-1.el7ev.noarch
rhvh-4.0-0.20170222.0+1

###############
[root@dell-per730-34 ~]# imgbase w
[INFO] You are on rhvh-4.0-0.20170222.0+1
[root@dell-per730-34 ~]# rpm -qa |grep scree
screen-4.1.0-0.23.20120314git3c2946.el7_2.x86_64
[root@dell-per730-34 ~]# 



So, the bug' status is verified.

Comment 27 errata-xmlrpc 2017-03-16 15:39:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0549.html


Note You need to log in before you can comment on or make changes to this bug.